Bug 36527 - [wine] Wolfenstein: Failed to translate rgb instruction.
Summary: [wine] Wolfenstein: Failed to translate rgb instruction.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r300 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-23 09:59 UTC by Sven Arvidsson
Modified: 2011-05-13 23:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
RADEON_DEBUG=fp log (80.77 KB, application/x-gzip)
2011-04-23 10:00 UTC, Sven Arvidsson
Details
More Verbose Log (1.16 KB, patch)
2011-04-23 12:40 UTC, Tom Stellard
Details | Splinter Review
fp log with patch applied (38.24 KB, application/x-gzip)
2011-04-23 12:59 UTC, Sven Arvidsson
Details
Possible Fix (3.85 KB, patch)
2011-04-23 14:38 UTC, Tom Stellard
Details | Splinter Review
fp log with fix applied (109.68 KB, application/x-gzip)
2011-04-24 05:54 UTC, Sven Arvidsson
Details
Fix (4.22 KB, patch)
2011-04-24 15:46 UTC, Tom Stellard
Details | Splinter Review
fp log (108.43 KB, application/x-gzip)
2011-04-25 12:51 UTC, Sven Arvidsson
Details
Fix v3 (4.76 KB, patch)
2011-04-25 16:48 UTC, Tom Stellard
Details | Splinter Review
Fix v4 (7.03 KB, patch)
2011-05-09 00:11 UTC, Tom Stellard
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2011-04-23 09:59:11 UTC
Running in Wine, the game Wolfenstein gives this error:

 r300 FP: Compiler Error:
 Failed to translate rgb instruction.
 Using a dummy shader instead.

I'm attaching the log from RADEON_DEBUG=fp

System environment:
-- system architecture: 32-bit
-- Linux distribution: Debian unstable
-- GPU: RV570
-- Model: Asus EAX1950Pro 256MB
-- Display connector: DVI
-- xf86-video-ati: 6.14.1
-- xserver: 1.10.1
-- mesa: c2c44f2641cc71a8f77d887e9f2753eadda07d4c
-- drm: 2.4.25
-- kernel: 2.6.38.2
Comment 1 Sven Arvidsson 2011-04-23 10:00:15 UTC
Created attachment 45994 [details]
RADEON_DEBUG=fp log
Comment 2 Tom Stellard 2011-04-23 12:40:12 UTC
Created attachment 45999 [details] [review]
More Verbose Log

Can you apply this patch and post the output with RADEON_DEBUG=fp ?
Comment 3 Sven Arvidsson 2011-04-23 12:59:02 UTC
Created attachment 46000 [details]
fp log with patch applied

(In reply to comment #2)
> Created an attachment (id=45999) [details]
> More Verbose Log
> 
> Can you apply this patch and post the output with RADEON_DEBUG=fp ?

Sure!
Comment 4 Tom Stellard 2011-04-23 14:38:34 UTC
Created attachment 46012 [details] [review]
Possible Fix

This patch might fix this.  If it doesn't can you post the output of RADEON_DEBUG=fp again.
Comment 5 Sven Arvidsson 2011-04-23 15:03:01 UTC
Yes, this seems to have fixed it! Thanks :)
Comment 6 Tom Stellard 2011-04-23 21:50:35 UTC
Does this bug exist in Mesa 7.10?
Comment 7 Sven Arvidsson 2011-04-24 05:11:07 UTC
(In reply to comment #6)
> Does this bug exist in Mesa 7.10?

The game doesn't start in 7.10. I did a bisect and this is the commit which fixed it:
http://cgit.freedesktop.org/mesa/mesa/commit/?id=8e28d842d192e69ba8cae4f9754766a26ae8c739

So I guess it needs the floating stuff.
Comment 8 Sven Arvidsson 2011-04-24 05:54:50 UTC
Created attachment 46016 [details]
fp log with fix applied

(In reply to comment #5)
> Yes, this seems to have fixed it! Thanks :)

Sigh, apologies, it seems I changed something in the game setup which caused it to go away, it's still there if I use the standard settings.

Attaching a new log.
Comment 9 Tom Stellard 2011-04-24 15:46:05 UTC
Created attachment 46031 [details] [review]
Fix

There was a typo in the first patch.  Hopefully this new patch will fix the problem.
Comment 10 Sven Arvidsson 2011-04-25 12:51:52 UTC
Created attachment 46063 [details]
fp log

Hmm, I'm still getting the same error. Attaching a new log.
Comment 11 Tom Stellard 2011-04-25 16:48:36 UTC
Created attachment 46071 [details] [review]
Fix v3

Does this patch fix it?
Comment 12 Sven Arvidsson 2011-04-27 09:27:07 UTC
Yes, this seems to have finally fixed it!
Comment 13 Tom Stellard 2011-05-09 00:11:49 UTC
Created attachment 46461 [details] [review]
Fix v4

I found a bug in the previous patch (v3).  Can you try this new one and make sure it still works.
Comment 14 Sven Arvidsson 2011-05-12 13:08:43 UTC
(In reply to comment #13)
> Created an attachment (id=46461) [details]
> Fix v4
> 
> I found a bug in the previous patch (v3).  Can you try this new one and make
> sure it still works.

Yep, still works!
Comment 15 Tom Stellard 2011-05-13 23:52:54 UTC
Fixed in git commit 612554dce5d787fca9c85a67378024b336bd6ad


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.